您好,求教64位的Fedora 18运行客户端时出现的一个问题。

47 views
Skip to first unread message

Neil Xu

unread,
Mar 10, 2013, 11:47:58 PM3/10/13
to njit802...@googlegroups.com
您好!

我在命令行下输入:
su -c "./njit-client s-12345 abcde"后,显示
./njit-client: error while loading shared libraries: libpcap.so.0.8:
cannot open shared object file: No such file or directory

但我运行 yum install libpcap 时,提示我:
包 14:libpcap-1.3.0-2.fc18.x86_64 已安装并且是最新版本无须任何处理

求教解决方法,多谢!
我是大连东软信息学院的学生。

--
Twitter: @neilxu1

刘群

unread,
Mar 23, 2013, 11:25:21 AM3/23/13
to njit802...@googlegroups.com
Neil Xu:你好。
libpcap-1.3.0-2.fc18.x86_64.rpm
libpcap-1.3.0-2.fc18.i386.rpm
分别对应64位和32位的libpcap.so动态库文件,请你在64位Fedora下安装libpcap-1.3.0-2.fc18.i386.rpm,可以解决你遇到的错误提示

我只在64位Ubuntu下测试过用apt-get安装deb软件包的命令是apt-get install libpcap0.8:i386
其中有:i386指定安装32位兼容版本
> --
> --
> 您收到此信息是由于您订阅了“校园网802.1X客户端开发小组”论坛邮件列表。
> 要在此论坛发帖,请发电子邮件到 njit8021xcl...@googlegroups.com
> 要退订此论坛,请发邮件至 njit8021xclie...@googlegroups.com
> 更多选项,请通过翻墙软件访问我们在Google网上论坛的页面
> http://groups.google.com/group/njit8021xclient
>
> ---
> 您收到此邮件是因为您订阅了 Google 网上论坛的“校园网802.1X客户端开发小组”论坛。
> 要退订此论坛并停止接收此论坛的电子邮件,请发送电子邮件到 njit8021xclie...@googlegroups.com
> 要查看更多选项,请访问 https://groups.google.com/groups/opt_out
>
>
Reply all
Reply to author
Forward
0 new messages